> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Noonlight Settings

> Update Noonlight integration



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/integrations/updateNoonlightSettings
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/integrations/updateNoonlightSettings:
    post:
      tags:
        - Integrations Webservice
      summary: Update Noonlight Settings
      description: Update Noonlight integration
      operationId: updateNoonlightSettings
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Integration_UpdateNoonlightSettingsWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Integration_UpdateOrgIntegrationsWSResponse
          description: OK
      deprecated: true
components:
  schemas:
    Integration_UpdateNoonlightSettingsWSRequest:
      type: object
      properties:
        noonlightSettings:
          $ref: '#/components/schemas/NoonlightSettings'
    Integration_UpdateOrgIntegrationsWSResponse:
      type: object
      description: Response object for updating organization integrations.
      properties:
        authError:
          type: boolean
          description: Whether an authentication error occurred during update
          example: false
          nullable: true
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        failedGuids:
          type: array
          description: List of GUIDs that failed to update
          items:
            type: string
            description: List of GUIDs that failed to update
            nullable: true
          nullable: true
        misconfiguredDoors:
          type: array
          description: List of door names that are assigned to multiple Rhombus locations
          items:
            type: string
            description: List of door names that are assigned to multiple Rhombus locations
            nullable: true
          nullable: true
        warningMsg:
          type: string
          nullable: true
    NoonlightSettings:
      type: object
      properties:
        acceptedTermsOfService:
          type: boolean
          nullable: true
        defaultContactsByLocationMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/EmergencyContact'
          nullable: true
        defaultDelayByLocationsMap:
          type: object
          additionalProperties:
            type: integer
            format: int32
            nullable: true
          nullable: true
        defaultPromptByLocationsMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/NoonlightPromptThemeEnum'
          nullable: true
        emergencyContactsByLocationsMap:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/EmergencyResponseContactsIntervalType'
            nullable: true
          nullable: true
        enabled:
          type: boolean
          nullable: true
        escalationSettingsByLocationsMap:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/AlertMonitoringSubmissionDelayIntervalType'
            nullable: true
          nullable: true
        locationEntryInstructionsMap:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        pinsByLocationMap:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/AlertMonitoringPinType'
            nullable: true
            uniqueItems: true
          nullable: true
        verificationPrompt:
          type: string
          nullable: true
    EmergencyContact:
      type: object
      properties:
        name:
          type: string
          description: The name of the emergency contact.
          nullable: true
        phoneNumber:
          type: string
          description: The phone number for this emergency contact.
          nullable: true
      required:
        - name
        - phoneNumber
    NoonlightPromptThemeEnum:
      type: string
      enum:
        - THREAT
        - HUMAN
    EmergencyResponseContactsIntervalType:
      type: object
      properties:
        emergencyContactList:
          type: array
          items:
            $ref: '#/components/schemas/EmergencyContact'
          nullable: true
        minuteOfWeekStart:
          type: integer
          format: int32
          nullable: true
        minuteOfWeekStop:
          type: integer
          format: int32
          nullable: true
    AlertMonitoringSubmissionDelayIntervalType:
      type: object
      properties:
        escalationDelayMinutes:
          type: integer
          format: int32
          nullable: true
        minuteOfWeekStart:
          type: integer
          format: int32
          nullable: true
        minuteOfWeekStop:
          type: integer
          format: int32
          nullable: true
        promptTheme:
          $ref: '#/components/schemas/NoonlightPromptThemeEnum'
    AlertMonitoringPinType:
      type: object
      properties:
        description:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        pin:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````